Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.util
Class ParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.lang.exception.NestableRuntimeException
                      org.apache.openjpa.lib.util.ParseException

All Implemented Interfaces:
  Serializable, org.apache.commons.lang.exception.Nestable

    public class ParseException

extends org.apache.commons.lang.exception.NestableRuntimeException

Exception type for parse errors.

Since:
  0.4.0
Author:
  Abe White
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.lang.exception.NestableRuntimeException
`delegate`

Constructor Summary
`ParseException()`
`ParseException(Localizer.Message msg)`
`ParseException(Localizer.Message msg, Throwable cause)`
`ParseException(String msg)`
`ParseException(String msg, Throwable cause)`
`ParseException(Throwable cause)`

Method Summary

Methods inherited from class org.apache.commons.lang.exception.NestableRuntimeException
`getCause, getMessage, getMessage, getMessages, getThrowable, getThrowableCount, getThrowables, indexOfThrowable, indexOfThrowable, printPartialStackTrace, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParseException

    public ParseException()

### ParseException

    public ParseException(String msg)

### ParseException

    public ParseException(Localizer.Message msg)

### ParseException

    public ParseException(Throwable cause)

### ParseException

    public ParseException(String msg,
                          Throwable cause)

### ParseException

    public ParseException(Localizer.Message msg,
                          Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.